#selectionInfo.rb

begin
	# Create the WebDialog instance
	my_dialog = UI::WebDialog.new("Selection Info", false, "Selection Info", 400, 325, 200, 400, false)

	# Find and show our html file
	html_path = Sketchup.find_support_file('selectionInfo.html','Plugins/_dev')
	my_dialog.set_file(html_path)

	# Attach an action callback
	my_dialog.add_action_callback('get_data') do |web_dialog,action_name|
		if action_name=='pull_selection_count'
			total_selected = Sketchup.active_model.selection.length
			js_command = %[passFromRubyToJavascript('#{total_selected.to_s}');]
			web_dialog.execute_script(js_command)
		end
	end
	
	# Show dialog per platform
	if RUBY_PLATFORM.include?('darwin')
		my_dialog.show_modal()  # OSX
	else
		my_dialog.show()  # PC
	end
	
end

#  load '_dev/SelectionInfo.rb'